[Git][clojure-team/typesafe-config-clojure][master] 5 commits: drop obsolete d/.gitignore

Jérôme Charaoui (@lavamind) gitlab at salsa.debian.org
Wed Jul 29 06:21:27 BST 2026



Jérôme Charaoui pushed to branch master at Debian Clojure Maintainers / typesafe-config-clojure


Commits:
b683b396 by Jérôme Charaoui at 2026-07-28T23:49:59-04:00
drop obsolete d/.gitignore

- - - - -
ba10a743 by Jérôme Charaoui at 2026-07-29T00:55:41-04:00
add autopkgtests

- - - - -
f699de65 by Jérôme Charaoui at 2026-07-29T00:56:29-04:00
d/rules: add classpath to jar artifact

- - - - -
40f8a129 by Jérôme Charaoui at 2026-07-29T00:56:56-04:00
d/rules: workaround a limitation in dh-clojure

- - - - -
8df22a36 by Jérôme Charaoui at 2026-07-29T00:57:31-04:00
Update changelog for 1.0.4-3 release

- - - - -


7 changed files:

- − debian/.gitignore
- debian/changelog
- debian/control
- debian/rules
- + debian/tests/build
- + debian/tests/control
- + debian/tests/unittests


Changes:

=====================================
debian/.gitignore deleted
=====================================
@@ -1 +0,0 @@
-!pom.xml


=====================================
debian/changelog
=====================================
@@ -1,3 +1,13 @@
+typesafe-config-clojure (1.0.4-3) unstable; urgency=medium
+
+  * Team upload.
+  * add autopkgtests
+  * d/rules: add classpath to jar artifact
+  * d/rules: workaround a limitation in dh-clojure
+  * drop obsolete d/.gitignore
+
+ -- Jérôme Charaoui <jerome at riseup.net>  Wed, 29 Jul 2026 00:57:19 -0400
+
 typesafe-config-clojure (1.0.4-2) unstable; urgency=medium
 
   * Team upload.


=====================================
debian/control
=====================================
@@ -6,7 +6,9 @@ Section: java
 Build-Depends:
  debhelper-compat (= 14),
  dh-clojure,
+ javahelper,
  libtypesafe-config-java,
+ rename,
 Standards-Version: 4.7.4
 Vcs-Browser: https://salsa.debian.org/clojure-team/typesafe-config-clojure
 Vcs-Git: https://salsa.debian.org/clojure-team/typesafe-config-clojure.git


=====================================
debian/rules
=====================================
@@ -1,4 +1,22 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
+
+CLASSPATH := /usr/share/java/clojure.jar /usr/share/java/typesafe-config.jar
+
 %:
 	dh $@ --buildsystem=leiningen --without=single-binary
+
+execute_after_dh_auto_build:
+	jh_manifest --classpath="$(CLASSPATH)" target/typesafe-config-$(DEB_VERSION_UPSTREAM).jar
+
+execute_after_dh_auto_install:
+	# temporary workaround for jar filename collision
+	# see https://salsa.debian.org/clojure-team/dh-clojure/-/work_items/10
+	cd debian/libtypesafe-config-clojure/usr/share/java && \
+		mv typesafe-config-$(DEB_VERSION_UPSTREAM).jar clj-typesafe-config-$(DEB_VERSION_UPSTREAM).jar && \
+		ln -sf clj-typesafe-config-$(DEB_VERSION_UPSTREAM).jar clj-typesafe-config.jar && \
+		rm typesafe-config.jar
+	cd debian/libtypesafe-config-clojure/usr/share/maven-repo/org/openvoxproject/typesafe-config && \
+		ln -sf ../../../../../java/clj-typesafe-config-$(DEB_VERSION_UPSTREAM).jar debian/typesafe-config-debian.jar && \
+		ln -sf ../../../../../java/clj-typesafe-config-$(DEB_VERSION_UPSTREAM).jar $(DEB_VERSION_UPSTREAM)/typesafe-config-$(DEB_VERSION_UPSTREAM).jar


=====================================
debian/tests/build
=====================================
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+java -jar /usr/share/java/clj-typesafe-config.jar -e '(use '"'"'puppetlabs.config.typesafe)'


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,11 @@
+Tests: build
+Depends:
+ default-jre-headless,
+ @,
+Restrictions: superficial
+
+Tests: unittests
+Depends:
+ default-jre-headless,
+ libcognitect-test-runner-clojure,
+ @,


=====================================
debian/tests/unittests
=====================================
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -efu
+
+export CLASSPATH=/usr/share/java/clj-typesafe-config.jar:/usr/share/java/test-runner.jar:test
+
+cp -a dev-resources "$AUTOPKGTEST_TMP"
+cp -a test "$AUTOPKGTEST_TMP"
+cd "$AUTOPKGTEST_TMP"
+
+java clojure.main -m cognitect.test-runner cognitect.test-runner.api/test -r '.*_test$'



View it on GitLab: https://salsa.debian.org/clojure-team/typesafe-config-clojure/-/compare/8ceb1339abf7db9cd317095a1fb14d02c6850f85...8df22a36e42800ef599d8fea34b59b63b861b6aa

-- 
View it on GitLab: https://salsa.debian.org/clojure-team/typesafe-config-clojure/-/compare/8ceb1339abf7db9cd317095a1fb14d02c6850f85...8df22a36e42800ef599d8fea34b59b63b861b6aa
You're receiving this email because of your account on salsa.debian.org. Manage all notifications: https://salsa.debian.org/-/profile/notifications | Help: https://salsa.debian.org/help


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-java-commits/attachments/20260729/83b94f24/attachment.htm>


More information about the pkg-java-commits mailing list